Loading...
Searching...
No Matches
Dune::GMPField< precision > Class Template Reference
Common » Numbers

Number class for high precision floating point number using the GMP library mpf_class implementation. More...

`#include <dune/common/gmpfield.hh>`

Inheritance diagram for Dune::GMPField< precision >:

## Public Member Functions

| GMPField ()
| GMPField (const char *str)
| initialize from a string
| GMPField (const std::string &str)
| initialize from a string
template<class T, typename EnableIf = typename std::enable_if< std::is_convertible<T, mpf_class>::value>::type>
| GMPField (const T &v)
| initialize from a compatible scalar type
| operator double () const

## Detailed Description

template<unsigned int precision>
class Dune::GMPField< precision >

Number class for high precision floating point number using the GMP library mpf_class implementation.

## Constructor & Destructor Documentation

## GMPField() [1/4]

template<unsigned int precision>

Dune::GMPField< precision >::GMPField | ( |  | ) |

inline

default constructor, initialize to zero

## GMPField() [2/4]

template<unsigned int precision>

Dune::GMPField< precision >::GMPField | ( | const char * | str | ) |

inline

initialize from a string

Note
  this is the only reliable way to initialize with higher precision values

## GMPField() [3/4]

template<unsigned int precision>

Dune::GMPField< precision >::GMPField | ( | const std::string & | str | ) |

inline

initialize from a string

Note
  this is the only reliable way to initialize with higher precision values

## GMPField() [4/4]

template<unsigned int precision>
template<class T, typename EnableIf = typename std::enable_if< std::is_convertible<T, mpf_class>::value>::type>

Dune::GMPField< precision >::GMPField | ( | const T & | v | ) |

inline

initialize from a compatible scalar type

## Member Function Documentation

## operator double()

template<unsigned int precision>

Dune::GMPField< precision >::operator double | ( |  | ) | const

inline

The documentation for this class was generated from the following file:

- gmpfield.hh